#ifndef _DATA_H_
#define _DATA_H_

#include "config.h"

#define MAX_CELLS 10

struct charger_data {
	unsigned int channel;
	int state;
	double timestamp;	/* seconds since beginning of the charging */
	double input_voltage;
	double charging_voltage;
	double charging_current;
	int cell_count;
	double cell_voltage[MAX_CELLS];

	double total_charge;	/* mAh */
	double int_temp;	/* celsius */
	double ext_temp;
};

int init_data_parser(int infd, struct plotter_config *cfg);

#endif
